Bug 695026

Summary: Review Request: opendict - free multiplatform dictionary program.
Product: [Fedora] Fedora Reporter: Aurimas Černius <aurisc4>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: fedora-package-review, notting, volker27
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-07-26 16:15:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Aurimas Černius 2011-04-09 16:50:55 EDT
Spec URL: https://fedoraproject.org/w/uploads/a/a7/Opendict.spec
SRPM URL: https://fedoraproject.org/w/uploads/3/3f/Opendict-0.6.3-1.fc14.src.rpm
Description: OpenDict is free multiplatform dictionary program. It is made to be universal and easy to use for desktop users and developers.
Comment 1 Aurimas Černius 2011-04-09 16:57:53 EDT
Since as stand-alone program it has limited value, I think that plugins from bug 695027 should be made as requirement for this package. I haven't done that yet.
Comment 2 Aurimas Černius 2011-04-13 16:47:11 EDT
The current homepage of OpenDict is down. However, the old one is still available:
http://opendict.sourceforge.net/

OpenDict package is available for Debian:
http://packages.debian.org/squeeze/opendict
Comment 3 Michael Schwendt 2011-05-03 05:08:19 EDT
Just a look at the spec:

> %{_datadir}/applications/*

Most likely the following applies:
https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage


> %{_datadir}/icons/hicolor/*

https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


> %{_datadir}/locale/*

https://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files


> %{_datadir}/opendict/*

https://fedoraproject.org/wiki/Packaging:UnownedDirectories
Comment 4 Aurimas Černius 2011-05-08 07:31:55 EDT
Thanks for comments.
I've uploaded new versions of both files, corrected accordingly.
Comment 5 Volker Fröhlich 2011-06-30 18:05:17 EDT
License is GPLv2+.

from lib/history.py:

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your opinion) any later version.


 Please inform upstream about the wrong FSF postal address.

Usually the files section comes after the posts.

"%patch1 -p0 -b .mkdirs" -- That should say "symlink", I suppose.
Comment 6 Volker Fröhlich 2011-06-30 18:06:31 EDT
Please increment the release number for every new version you publish and write the changelog.
Comment 7 Aurimas Černius 2011-07-26 16:15:43 EDT
I contacted upstream authors and they suggested to switch to StarDict, as OpenDict has almost no development. Thus, I withdraw my request and will probably switch to packaging StarDict lithuanian dictionaries.